catalog:
  title: Naoqi ROS CPP Bridge

templates:
- freestyle
- cmake-catkin
- base

variables:
  description: >-
    This is a naoqi driver module that bridges with ROS. It publishes
    several sensor data as well as the robot position.
  recipe.maintaineri:
  - britchter@uni-bielefeld.de
  - mbrandt@techfak.uni-bielefeld.de
  - cschuetze@techfak.uni-bielefeld.de

  username: "jenkins"
  pwd: "uG9AD65Teq9dTy-3z87x"


  branches:
  - main

  extra-requires:
  - nature: catkin
    target: libqi
  - nature: catkin
    target: libqicore
  - nature: catkin
    target: naoqi_bridge_msgs

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'
  
  pre-build-hook/unix.command: |
    rm -rf naoqi_driver
    git clone https://${username}:${pwd}@gitlab.ub.uni-bielefeld.de/bremen-cooperation/naoqi_driver.git
    cd naoqi_driver
    git checkout ${branch}
    cd ..
    cp -Rf naoqi_driver/* .
